### Name: aidsCalc
### Title: Shares and Quantities of the Almost Ideal Demand System
### Aliases: aidsCalc predict.aidsEst
### Keywords: models

### ** Examples

## Not run: 
##D    data( Blanciforti86 )
##D    # Data on food consumption are available only for the first 32 years
##D    Blanciforti86 <- Blanciforti86[ 1:32, ]
##D 
##D    priceNames <- c( "pFood1", "pFood2", "pFood3", "pFood4" )
##D    shareNames <- c( "wFood1", "wFood2", "wFood3", "wFood4" )
##D 
##D    ## LA-AIDS
##D    estResult <- aidsEst( priceNames, shareNames, "xFood",
##D       data = Blanciforti86, priceIndex = "S" )
##D 
##D    # using observed shares in the Stone index
##D    lnp <- aidsPx( "S", priceNames, Blanciforti86, shareNames )
##D    fitted <- aidsCalc( priceNames, "xFood", coef = coef( estResult ),
##D       data = Blanciforti86, priceIndex = lnp )
##D    fitted$shares  # equal to estResult$wFitted
##D    fitted$quant   # equal to estResult$qFitted
##D    # now the same with the predict method
##D    fitted2 <- predict( estResult, observedShares = TRUE )
##D    all.equal( fitted, fitted2 ) 
##D 
##D    # using fitted shares in the Stone index
##D    fitted <- aidsCalc( priceNames, "xFood", coef = estResult$coef,
##D       data = Blanciforti86, priceIndex = "S" )
##D    # now the same with the predict method
##D    fitted2 <- predict( estResult )
##D    all.equal( fitted, fitted2 ) 
##D 
##D    ## AIDS
##D    estResult <- aidsEst( priceNames, shareNames, "xFood",
##D       data = Blanciforti86, method = "IL" )
##D 
##D    fitted <- aidsCalc( priceNames, "xFood", coef = coef( estResult ),
##D       data = Blanciforti86 )
##D 
##D    fitted$shares  # equal to estResult$wFitted
##D    fitted$quant   # equal to estResult$qFitted
##D 
##D    fitted2 <- predict( estResult )
##D    all.equal( fitted, fitted2 ) 
## End(Not run)



