### Name: aidsEst
### Title: Estimating the Almost Ideal Demand System (AIDS)
### Aliases: aidsEst print.aidsEst
### Keywords: models

### ** Examples

## Not run: 
##D    # Using data published in Blanciforti, Green & King (1986)
##D    data( Blanciforti86 )
##D    # Data on food consumption are available only for the first 32 years
##D    Blanciforti86 <- Blanciforti86[ 1:32, ]
##D 
##D    ## Repeating the demand analysis of Blanciforti, Green & King (1986)
##D    ## Note: Blanciforti, Green & King (1986) use scaled data,
##D    ##       which leads to slightly different results
##D    estResult <- aidsEst( c( "pFood1", "pFood2", "pFood3", "pFood4" ),
##D       c( "wFood1", "wFood2", "wFood3", "wFood4" ), "xFood",
##D       data = Blanciforti86, priceIndex = "SL", maxiter = 100 )
##D    print( estResult )
##D    elas( estResult )
##D 
##D    ## Estimations with a demand shifter: linear trend
##D    priceNames <- c( "pFood1", "pFood2", "pFood3", "pFood4" )
##D    shareNames <- c( "wFood1", "wFood2", "wFood3", "wFood4" )
##D    Blanciforti86$trend <- c( 0:( nrow( Blanciforti86 ) - 1 ) )
##D    estResult <- aidsEst( priceNames, shareNames, "xFood",
##D       data = Blanciforti86, shifterNames = "trend" )
##D    print( estResult )
##D 
##D    # Estimations with two demand shifters: linear + quadratic trend
##D    Blanciforti86$trend2 <- c( 0:( nrow( Blanciforti86 ) - 1 ) )^2
##D    estResult <- aidsEst( priceNames, shareNames, "xFood",
##D       data = Blanciforti86, shifterNames = c( "trend", "trend2" ) )
##D    print( estResult )
## End(Not run)



