### Name: aidsMono
### Title: Monotonicity of the AIDS
### Aliases: aidsMono print.aidsMono
### Keywords: models

### ** Examples

## Not run: 
##D    data( Blanciforti86 )
##D    # Data on food consumption are available only for the first 32 years
##D    Blanciforti86 <- Blanciforti86[ 1:32, ]
##D 
##D    priceNames <- c( "pFood1", "pFood2", "pFood3", "pFood4" )
##D    shareNames <- c( "wFood1", "wFood2", "wFood3", "wFood4" )
##D 
##D    ## AIDS
##D    estResult <- aidsEst( priceNames, shareNames, "xFood",
##D       data = Blanciforti86, method = "IL" )
##D    aidsMono( priceNames, "xFood", coef = coef( estResult ),
##D       data = Blanciforti86 )
##D 
##D    ## LA-AIDS with Tornqvist price index
##D    estResultLaT <- aidsEst( priceNames, shareNames, "xFood",
##D       data = Blanciforti86, priceIndex = "T" )
##D    # with fitted expenditure shares in the price index
##D    aidsMono( priceNames, "xFood", coef = coef( estResultLaT ),
##D       data = Blanciforti86, priceIndex = "T",
##D       basePrices = estResultLaT$basePrices,
##D       baseShares = estResultLaT$baseShares )
##D    # with observed expenditure shares in the price index
##D    aidsMono( priceNames, "xFood", coef = coef( estResultLaT ),
##D       data = Blanciforti86, priceIndex = estResultLaT$lnp )
## End(Not run)



