### Name: snqProfitEla
### Title: Price Elasticities of SNQ Profit function
### Aliases: snqProfitEla
### Keywords: models

### ** Examples

   # just a stupid simple example
   snqProfitEla( matrix(101:109,3,3), c(1,1,1), c(1,-1,-1), c(0.4,0.3,0.3) )

## Not run: 
##D    # now with real data
##D    data( germanFarms )
##D    germanFarms$qOutput   <- germanFarms$vOutput   / germanFarms$pOutput
##D    germanFarms$qVarInput <- -germanFarms$vVarInput / germanFarms$pVarInput
##D    germanFarms$qLabor    <- -germanFarms$qLabor
##D    germanFarms$time      <- c( 0:19 )
##D    priceNames <- c( "pOutput", "pVarInput", "pLabor" )
##D    quantNames <- c( "qOutput", "qVarInput", "qLabor" )
##D 
##D    estResult <- snqProfitEst( priceNames, quantNames, c("land","time"), data=germanFarms )
##D 
##D    estResult$ela  # price elasticities at mean prices and mean quantities
##D 
##D    # price elasticities at the last observation (1994/95)
##D    snqProfitEla( estResult$coef$beta, estResult$data[ 20, priceNames ],
##D       estResult$data[ 20, quantNames ], estResult$weights,
##D       estResult$scalingFactors )
## End(Not run)



