### Name: snqProfitHessian
### Title: SNQ Profit function: Hessian matrix
### Aliases: snqProfitHessian
### Keywords: models

### ** Examples

   # just a stupid simple example
   snqProfitHessian( matrix(101:109,3,3), c(1,1,1), c(0.4,0.3,0.3) )

## Not run: 
##D    # now with real data
##D    data( germanFarms )
##D    germanFarms$qOutput   <- germanFarms$vOutput   / germanFarms$pOutput
##D    germanFarms$qVarInput <- -germanFarms$vVarInput / germanFarms$pVarInput
##D    germanFarms$qLabor    <- -germanFarms$qLabor
##D    germanFarms$time <- c( 0:19 )
##D    priceNames <- c( "pOutput", "pVarInput", "pLabor" )
##D    quantNames <- c( "qOutput", "qVarInput", "qLabor" )
##D 
##D    estResult <- snqProfitEst( priceNames, quantNames, c("land","time"), data=germanFarms )
##D 
##D    estResult$hessian  # the Hessian at mean prices and mean quantities
##D 
##D    # Hessian at the last observation (1994/95)
##D    snqProfitHessian( estResult$coef$beta, estResult$data[ 20, priceNames ],
##D       estResult$weights, estResult$scalingFactors )
## End(Not run)



